/// <reference types="node" />
import type { Int64_str, ParsedAssetGroup, ParsedInput, ParsedRequiredSigner, ParsedToken, ParsedWithdrawal, Uint64_str, ValidBIP32Path, Version } from '../../types/internal';
import type { SerializeTokenAmountFn } from '../signTx';
export declare function serializeTxInput(input: ParsedInput): Buffer;
export declare function serializeTxWithdrawal(withdrawal: ParsedWithdrawal, version: Version): Buffer;
export declare function serializeTxFee(fee: Uint64_str): Buffer;
export declare function serializeTxTtl(ttl: Uint64_str): Buffer;
export declare function serializeTxValidityStart(validityIntervalStart: Uint64_str): Buffer;
export declare function serializeTxWitnessRequest(path: ValidBIP32Path): Buffer;
export declare function serializeAssetGroup<T>(assetGroup: ParsedAssetGroup<T>): Buffer;
export declare function serializeToken<T>(token: ParsedToken<T>, serializeTokenAmountFn: SerializeTokenAmountFn<T>): Buffer;
export declare function serializeMintBasicParams(mint: Array<ParsedAssetGroup<Int64_str>>): Buffer;
export declare function serializeRequiredSigner(requiredSigner: ParsedRequiredSigner): Buffer;
export declare function serializeTotalCollateral(totalCollateral: Uint64_str): Buffer;
//# sourceMappingURL=txOther.d.ts.map