/// <reference types="node" />
import { base58_encode, bech32_decodeAddress, bech32_encodeAddress } from './utils/address';
import type { Version } from './types/public';
import { assert } from './utils/assert';
import { buf_to_hex, hex_to_buf } from './utils/serialize';
export declare function chunkBy(data: Buffer, chunkLengths: Array<number>): Buffer[];
export declare function stripRetcodeFromResponse(response: Buffer): Buffer;
declare const _default: {
    hex_to_buf: typeof hex_to_buf;
    buf_to_hex: typeof buf_to_hex;
    assert: typeof assert;
    base58_encode: typeof base58_encode;
    bech32_encodeAddress: typeof bech32_encodeAddress;
    bech32_decodeAddress: typeof bech32_decodeAddress;
    chunkBy: typeof chunkBy;
    stripRetcodeFromResponse: typeof stripRetcodeFromResponse;
};
export default _default;
export declare function getVersionString(version: Version): string;
//# sourceMappingURL=utils.d.ts.map